exsample(3)

NAME
exsample - Playing digital samples. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

Example exsample

DESCRIPTION
This program demonstrates how to play samples. You have to use this example from the commandline to specify as first parameter a WAV or VOC sound file to play. If the file is loaded successfully, the sound will be played in an infinite loop. While it is being played, you can use the left and right arrow keys to modify the panning of the sound. You can also use the up and down arrow keys to modify the pitch.

SEE ALSO
END_OF_MAIN(3), SAMPLE(3), SCREEN_H(3), SCREEN_W(3), adjust_sample(3), allegro_error(3), allegro_init(3), allegro_message(3), clear_to_color(3), desktop_palette(3), destroy_sample(3), font(3), install_keyboard(3), install_sound(3), install_timer(3), key(3), load_sample(3), makecol(3), play_sample(3), poll_keyboard(3), rest(3), screen(3), set_gfx_mode(3), set_palette(3), textprintf_centre_ex(3)